- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# FMath/FMMatrix44.h File Reference

The file containing the class and global functions for 4x4 matrices. More...

Go to the source code of this file.

## Classes
class | FMMatrix44
| A 4x4 Row Major matrix: use to represent 3D transformations. More...
## Typedefs
typedef fm::vector< FMMatrix44 > | FMMatrix44List
| A dynamically-sized array of 4x4 matrices.
## Functions
FMMatrix44 FCOLLADA_EXPORT | operator * (const FMMatrix44 &m1, const FMMatrix44 &m2)
| Matrix multiplications.
FMVector4 FCOLLADA_EXPORT | operator * (const FMMatrix44 &m, const FMVector4 &v)
| Transforms a four-dimensional vector by a given matrix.
FMMatrix44 FCOLLADA_EXPORT | operator * (float a, const FMMatrix44 &m)
| Scalar multiplication with float and FMMatrix44.
bool FCOLLADA_EXPORT | IsEquivalent (const FMMatrix44 &m1, const FMMatrix44 &m2)
| Matrix equality comparison function.
bool | operator== (const FMMatrix44 &m1, const FMMatrix44 &m2)
| See above.
FMMatrix44 & | operator *= (FMMatrix44 &m1, const FMMatrix44 &m2)
| Left-multiplies a given matrix, in-place.

## Detailed Description

The file containing the class and global functions for 4x4 matrices.

## Function Documentation

bool FCOLLADA_EXPORT IsEquivalent | ( | const FMMatrix44 & | m1,
|  | const FMMatrix44 & | m2
| ) |

  | Matrix equality comparison function. Parameters:
  | m1 | A first matrix.
  | m2 | A second matrix.
Returns: Whether the given matrices are equal.

FMMatrix44 FCOLLADA_EXPORT operator * | ( | float | a,
|  | const FMMatrix44 & | m
| ) |

  | Scalar multiplication with float and FMMatrix44. All the components of the matrix get uniformly multiplied by the scalar. EDITOR NOTE: Is this functionality even useful? I cannot think of a reason this function would be used. Parameters:
  | a | A scalar.
  | m | A matrix.
Returns: The resulting matrix.

FMVector4 FCOLLADA_EXPORT operator * | ( | const FMMatrix44 & | m,
|  | const FMVector4 & | v
| ) |

  | Transforms a four-dimensional vector by a given matrix. If the 'w' value of the vector is 1.0, this is a coordinate transformation. If the 'w' value of the vector is 0.0, this is a vector transformation. Parameters:
  | m | A matrix.
  | v | A vector.
Returns: The FMVector4 representation of the resulting vector.

FMMatrix44 FCOLLADA_EXPORT operator * | ( | const FMMatrix44 & | m1,
|  | const FMMatrix44 & | m2
| ) |

  | Matrix multiplications. Effectively concatenates matrix transformations. FCollada does left-multiplication of matrices. Parameters:
  | m1 | A first matrix.
  | m2 | A second matrix.
Returns: The concatenation of the two matrix transformations.

FMMatrix44& operator *= | ( | FMMatrix44 & | m1,
|  | const FMMatrix44 & | m2
| ) | `[inline]`

  | Left-multiplies a given matrix, in-place. This function effectively concatenates a transformation into a transform matrix. Parameters:
  | m1 | The in-place multiplied matrix.
  | m2 | A matrix transformation.
Returns: The in-place multiplied matrix.